<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/ascii_to_bcd_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p1 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>09/30/83  ascii_to_bcd_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in ascii_to_bcd_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>list is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  ascii_to_bcd_:  09/30/83 ascii_to_bcd_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function:  performs isomorphic conversion from ASCII to BCD.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>dcl ascii_to_bcd_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>call ascii_to_bcd_ <span class="textRainbow_lv0_p0">(</span>ascii_in<span class="textRainbow_lv0_o0">,</span> bcd_out<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Arguments:
<span id="L20" class="LineNr">20 </span>ascii_in
<span id="L21" class="LineNr">21 </span>   is the ascii input characters to convert to BCD. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr">22 </span>bcd_out
<span id="L23" class="LineNr">23 </span>   is the BCD equivalent of the input string.  Note that both upper
<span id="L24" class="LineNr">24 </span>   and lower case ASCII characters are converted to the single case
<span id="L25" class="LineNr">25 </span>   BCD characters.  ASCII characters that do not have a match in BCD
<span id="L26" class="LineNr">26 </span>   will be converted to a question mark <span class="textRainbow_lv0_p0">(</span>?<span class="textRainbow_lv0_p0">)</span>. For more information see
<span id="L27" class="LineNr">27 </span>   &quot;Notes&quot; below. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Notes:  The ASCII question mark <span class="textRainbow_lv0_p0">(</span>?<span class="textRainbow_lv0_p0">)</span> and any ASCII characters <span class="textRainbow_lv0_p0">(</span>other
<span id="L31" class="LineNr">31 </span>than lowercase letters<span class="textRainbow_lv0_p0">)</span> will be mapped into a BCD question mark <span class="textRainbow_lv0_p0">(</span>?<span class="textRainbow_lv0_p0">)</span>.
<span id="L32" class="LineNr">32 </span>Lowercase letters will be mapped into the equivalent uppercase letter.
<span id="L33" class="LineNr">33 </span>The valid BCD characters are as follows:
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>0123456789<span class="textRainbow_lv0_p1">[</span>@:?ABCDEFGHI&amp;.<span class="textRainbow_lv0_p1">]</span><span class="textRainbow_lv0_p0">(</span>&lt;\^JKLMNOPQR-$*<span class="textRainbow_lv0_p0">)</span>;'+/STUVWXYZ_,%=!#&lt;space&gt;
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
